# $Revision: 1.34 $, $Date: 2004/04/10 18:22:32 $
#
# TODO: port gtkplaymidi to GTK+ 1.2 (or better 2.x)
#
# Conditional build:
%bcond_with	gtk	# build gtkplaymidi program (not ready for GTK+ > 1.1)
%bcond_without	svga	# don't build splaymidi program
#
%ifnarch %{ix86} alpha
%undefine	with_svga
%endif
Summary:	A MIDI sound file player
Summary(de):	Zum Abspielen von midi-Dateien auf FM-, GUS- und MIDI-Gerten
Summary(fr):	Joue des fichiers midi sur des priphriques FM, GUS et MIDI
Summary(pl):	Odtwarzacz plikw MIDI
Summary(tr):	FM, GUS ve MIDI aygtlar zerindeki midi dosyalarn alar
Name:		playmidi
Version:	2.4
Release:	13
License:	GPL
Group:		Applications/Sound
Source0:	ftp://ftp.linpeople.org/pub/People/nathan/%{name}-%{version}.tar.gz
# Source0-md5: ce27bfbc4e122f103bf3d2fe8d253011
Patch0:		%{name}-hertz.patch
Patch1:		%{name}-make.patch
Patch2:		%{name}-midimap.patch
BuildRequires:	glib-devel >= 1.2
%{?with_gtk:BuildRequires:	gtk+-devel >= 1.2}
BuildRequires:	ncurses-devel >= 5.0
%{?with_svga:BuildRequires:	svgalib-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/midi
%define		_appdefsdir	/usr/X11R6/lib/X11/app-defaults

%description
Playmidi plays MIDI (Musicial Instrument Digital Interface) sound
files through a sound card synthesizer. This package includes basic
drum samples for use with simple FM synthesizers. Install playmidi if
you want to play MIDI files using your computer's sound card.

%description -l de
Spielt MIDI-Sounddateien ber einen Soundkarten-Synthesizer ab.
Enthlt einfache Schlagzeug-Samples fr einfache FM-Synthesizer.

%description -l fr
Programme X pour jouer des fichiers MIDI par le synthtiseur d'une
carte son. Il contient des exemples de batterie de base pour les
synthtiseurs FM simples.

%description -l pl
Playmidi odtwarza pliki MIDI poprzez syntetyzer karty dwikowej.
Pakiet zawiera podstawowe instrumenty perkusyjne do wykorzystania z
prostymi syntetyzerami FM.

%description -l tr
Bir ses kartnn ses birletiricisi araclyla MIDI ses dosyalarn
alar. FM ses birletirici ile kullanm iin ana davul sesi rnekler
ierir.

%package X11
Summary:	An X Window System based MIDI sound file player
Summary(de):	X-Window-Schnittstelle fr den MIDI-Soundplayer
Summary(pl):	Odtwarzacz plikw MIDI dla systemu X Window
Summary(tr):	MIDI ses alc iin X arayz
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description X11
playmidi-X11 provides an X Window System interface for playing MIDI
(Musical Instrument Digital Interface) sound files through a sound
card synthesizer. Install playmidi-X11 if you want to use an X
interface to play MIDI sound files using your computer's sound card.

%description X11 -l de
X-Programm zum Abspielen von MIDI-Sounddateien ber einen Soundkarten-
Synthesizer. Enthlt einfache Schlagzeug-Samples fr einfache
FM-Synthesizers.

%description X11 -l fr
Programme X pour jouer des fichiers MIDI par le synthtiseur d'une
carte son. Il contient des exemples de batterie de base pour les
synthtiseurs FM simples.

%description X11 -l pl
playmidi-X11 dostarcza oparty o X Window System interfejs
umoliwiajcy odtwarzanie plikw MIDI poprzez kart dwikow.

%description X11 -l tr
MIDI ses dosyalarn alan playmidi uygulamasnn X arayz.

%package gtk
Summary:	An GTK+ based MIDI sound file player
Summary(de):	GTK+-Schnittstelle fr den MIDI-Soundplayer
Summary(pl):	Odtwarzacz plikw MIDI oparty na GTK+
Group:		X11/Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description gtk
playmidi-gtk provides an GTK+-based interface for playing MIDI
(Musical Instrument Digital Interface) sound files through a sound
card synthesizer. Install playmidi-X11 if you want to use an X
interface to play MIDI sound files using your computer's sound card.

%description gtk -l de
GTK+-Programm zum Abspielen von MIDI-Sounddateien ber einen
Soundkarten-Synthesizer. Enthlt einfache Schlagzeug-Samples fr
einfache FM-Synthesizers.

%description gtk -l fr
Programme GTK+ pour jouer des fichiers MIDI par le synthtiseur d'une
carte son. Il contient des exemples de batterie de base pour les
synthtiseurs FM simples.

%description gtk -l pl
playmidi-GTK+ dostarcza oparty na GTK+ interfejs umoliwiajcy
odtwarzanie plikw MIDI poprzez kart dwikow.

%package svga
Summary:	An SVGAlib based MIDI sound file player
Summary(pl):	Odtwarzacz plikw MIDI wykorzystujcy SVGAlib
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description svga
playmidi-svga provides an SVGAlib interface for playing MIDI (Musical
Instrument Digital Interface) sound files through a sound card
synthesizer. Install playmidi-svga if you want to use an SVGAlib
interface to play MIDI sound files using your computer's sound card.

%description svga -l pl
playmidi-svga dostarcza interfejs oparty o SVGAlib umoliwiajcy
odtwarzanie plikw MIDI poprzez kart dwikow.

%prep
%setup -q
# awe_voice.h is now part of the kernel source.
rm -f awe_voice.h
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} playmidi xplaymidi %{?with_gtk:gtkplaymidi} %{?with_svga:splaymidi} \
	CC="%{__cc}" \
	LIBX11="-L/usr/X11R6/%{_lib} -lXaw -lXmu -lXt -lX11 -lXext -lSM -lICE" \
	%{?with_gtk:LIBGTK="`gtk-config --libs`"} \
	OPT_FLAGS="%{rpmcflags} %{?with_gtk:`gtk-config --cflags`}" \
	<<EOF
2
EOF

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_mandir}/man1,%{_bindir},%{_appdefsdir}}

install playmidi xplaymidi $RPM_BUILD_ROOT%{_bindir}
install XPlaymidi.ad $RPM_BUILD_ROOT%{_appdefsdir}/XPlaymidi
install std.o3 drums.o3 std.sb drums.sb $RPM_BUILD_ROOT%{_sysconfdir}
install playmidi.1 $RPM_BUILD_ROOT%{_mandir}/man1
echo '.so playmidi.1' > $RPM_BUILD_ROOT%{_mandir}/man1/xplaymidi.1

%if %{with gtk}
install gtkplaymidi $RPM_BUILD_ROOT%{_bindir}
echo '.so playmidi.1' > $RPM_BUILD_ROOT%{_mandir}/man1/gtkplaymidi.1
%endif

%if %{with svga}
install splaymidi $RPM_BUILD_ROOT%{_bindir}
echo '.so playmidi.1' > $RPM_BUILD_ROOT%{_mandir}/man1/splaymidi.1
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS QuickStart
%attr(755,root,root) %{_bindir}/playmidi
%dir %{_sysconfdir}
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/std.o3
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/std.sb
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/drums.o3
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/drums.sb
%{_mandir}/man1/playmidi.1*

%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xplaymidi
%{_appdefsdir}/XPlaymidi
%{_mandir}/man1/xplaymidi.1*

%if %{with gtk}
%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gtkplaymidi
%{_mandir}/man1/gtkplaymidi.1*
%endif

%if %{with svga}
%files svga
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/splaymidi
%{_mandir}/man1/splaymidi.1*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: playmidi.spec,v $
Revision 1.34  2004/04/10 18:22:32  qboosh
- fixed build on amd64, dropped glibconfig patch
- added -gtk package (but not built by default, needs GTK+ API update)
- release 13

Revision 1.33  2003/10/03 08:48:50  qboosh
- killed _xbindir, cleanups
- use %%config(noreplace) for /etc files
- don't use %%config for app-defaults file (global defaults, not local configuration)

Revision 1.32  2003/10/03 08:36:18  qboosh
- _appdefsdir macro name unification

Revision 1.31  2003/08/02 09:28:04  gotar
- fixed X Window System spelling

Revision 1.30  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.29  2003/05/25 06:25:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2003/02/20 11:53:36  adgor
- Removed desktop file (not useful)
- Cosmetics
- Release 12

Revision 1.27  2002/12/28 01:38:10  qboosh
- use new Group: X11/Applications/Sound

Revision 1.26  2002/12/02 11:06:25  ankry
- massive cleaning

Revision 1.25  2002/11/29 22:45:55  ankry
- massive attack: new %%doc

Revision 1.24  2002/08/16 16:38:16  qboosh
- svgalib for x86 and alpha

Revision 1.23  2002/04/02 18:36:15  kloczek
- removed using %%{__install} macro.

Revision 1.22  2002/02/23 04:25:48  kloczek
- adapterized.

Revision 1.21  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/18 02:14:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/06/28 23:51:07  kloczek
- typo in %install.

Revision 1.18  2001/06/25 07:16:28  kloczek
- release 11,
- added desktop file for xplaymidi and few other cleanups.

Revision 1.17  2001/05/02 21:51:26  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.16  2000/09/06 11:32:55  kloczek
- adapterized.

Revision 1.15  2000/07/13 23:19:47  baggins
- release 10
- rebuild with ncurses 5.1

Revision 1.14  2000/06/30 09:36:22  qboosh
- removed suid from splaymidi (no longer necessary with svgalib >=1.9)

Revision 1.13  2000/06/09 07:23:46  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/06/07 04:31:54  kloczek
- spec adapterized.

Revision 1.11  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.10  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.9  2000/04/01 11:15:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/02 23:02:03  mkochano
- RPM_OPT_FLAGS removed from Makefile (replaced by OPT_FLAGS).
- gtk support is still not working (needs gtk-1.1). If I find some time I'll
  try to upgrade it to gtk-1.2.

Revision 1.7  2000/01/31 00:53:39  kloczek
- next typo (#$!).

Revision 1.6  2000/01/31 00:51:16  kloczek
- typo.

Revision 1.5  2000/01/31 00:48:38  kloczek
- moce splaymidi(1) man page to svga.

Revision 1.4  2000/01/31 00:47:43  kloczek
- fixed paths with %%{_sysconfdir},
- added .so groff link with splaymidi man page.

Revision 1.3  2000/01/31 00:40:21  kloczek
- release 9 (in rawhide is 8),
- spec adapterized,
- added de, fr, tr translations from BeroLinux spec file,
- svga package build only on %%ix86 architectures,
- rewrited %build and %install and added corect %attr description in %files,
- added BuildRequires rules.

Revision 1.2  2000/01/30 19:14:11  mkochano
- Removed 'awe_voice.h' from list of sources. Newer version of this
  file is currently incl
- Removed 'awe_voice.h' from list of sources. Newer version of this
  file is currently included in kernel sources.
- Added removal of 'awe_voice.h' included in *.tar.gz in %prep
  section.
- Removed 'playmidi-2.3-awe2.patch', beacuse it is no longer needed
  (see above for reason).
- Moved 'splaymidi' (SVGAlib version) to separate package.
- Replaced 'i386' with '%%ix86'.
- Manuals moved to '%%_mandir'.
- Gzipped documentation and manuals.
- Default attributes set to (644, root, root, 755).
- Added polish 'Summary', 'Group' and 'Description'.
- release++

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw

Spec based on RH version.
